%define rname	qt
%define major	2
%define middle	3
%define minor	1
%define qtdir	%_libdir/%rname%major
%define kdedir %_libdir/kde2-compat

%define _optlevel 3

Name: %rname%major
Version: %major.%middle.%minor
Release: alt12
Serial: 1

Group: Development/KDE and QT
Summary: Shared library for the Qt%major GUI toolkit
Url: http://www.trolltech.com/products/qt.html
License: GPL & QPL

Source0: ftp://ftp.troll.no/qt/source/qt-x11-%version.tar.bz2
Source1: qt2-designer

Patch1: qt2-configs-linux-g++-shared-without-rpath
Patch2: %rname-2.3.1-qclipboard-20010617.diff
Patch3: %rname-2.3.1-aahack.patch
Patch4: %rname-2.3.1-glweak.patch
Patch5: %rname-2.3.2-fix-popup-menu.patch
Patch6: %rname-2.3.2-euro.patch
Patch7: %rname-2.3.1-fix-finding-charset.patch

# Japanese patches
Patch10: %rname-2.3.1-showFullScreen-fix-20010624.diff
Patch11: %rname-2.3.1-xim-20010617.diff
Patch12: %rname-2.3.1-qstring-toDouble-i18n-20010617.diff
Patch13: %rname-2.3.1-varargs.patch

# ALT patches
Patch20: %rname-2.3.1-enc.patch
Patch21: %rname-2.3.1-ps-alt.patch
Patch22: qt-2.3.1.x_int.patch

# kde.ru patches
Patch30: qt-2.3.1-QMenuBar.patch
Patch31: qt-2.3.1-drawWinFocusRect.patch

# Automatically added by buildreq on Tue Oct 29 2002
#BuildRequires: Mesa XFree86-devel-static XFree86-libs gcc-c++ libGLU-devel libjpeg-devel liblcms libmng-devel libpng-devel libstdc++-devel zlib-devel
BuildRequires: Mesa XFree86-devel-static XFree86-libs gcc2.96-c++ libGLU-devel
BuildRequires: libjpeg-devel liblcms libmng-devel libpng-devel libstdc++2.96-devel zlib-devel

#BuildRequires: Mesa XFree86-devel XFree86-libs XFree86-static-libs freetype2
#BuildRequires: gcc-c++ kdelibs-devel libGLwrapper libbeecrypt
#BuildRequires: libjpeg-devel liblcms libmng-devel libpng-devel
#BuildRequires: libstdc++-devel zlib-devel

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for the X Windows system.
It has everything you need to create professional GUI applications.
And it enables you to create them quickly.
Qt is multi-platform toolkit written in C++ and is fully object-oriented.
This package contains the shared library needed to run Qt%major applications, as
well as the README files for Qt.

##############################################
%package -n lib%name
Summary: Shared library for the Qt%major GUI toolkit
Group: Development/KDE and QT
Provides: %name = %version
Obsoletes: %name

%description -n lib%name
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows System.
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98
or framebuffer devices.
Simply recompile your source code on the platform you want.

This package contains the shared library needed to run Qt%major applications, as
well as the README files for Qt.

##############################################
%package -n lib%name-devel
Summary: Header files and libraries for developing apps which will use Qt%major
Group: Development/KDE and QT
PreReq: lib%name = %version-%release
Provides: %name-devel = %version
# Dadou - ? - rpmlint want this package provide qt-devel but it's a bad idea
#             because it can confuse some old SRPMS
Obsoletes: %name-devel

%description -n lib%name-devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

This package contains the files necessary to develop applications See
http://www.troll.no/ for more information about Qt.

##############################################
%package -n lib%name-devel-static
Summary: Version of the Qt GUI toolkit for static linking
Group: Development/KDE and QT
PreReq: lib%name-devel = %version-%release
Obsoletes: %name-devel-static

%description -n lib%name-devel-static
This package package contains the files necessary to link applications
to the Qt GUI toolkit statically (rather than dynamically).
Statically linked applications don't require the library to be installed
on the system running the application.

##############################################
%package -n lib%name-Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit
Group: Development/Other
PreReq: lib%name = %version-%release
Provides: %name-Xt = %version, %name-Xt-devel = %version, %name-Xt-devel-static = %version
Provides: lib%name-Xt-devel = %version, lib%name-Xt-devel-static = %version
Obsoletes: %name-Xt, %name-Xt-devel, %name-Xt-devel-static
Obsoletes: lib%name-Xt-devel, lib%name-Xt-devel-static

%description -n lib%name-Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit

##############################################
%package designer
Summary: Designer for the Qt%major
Group: Development/KDE and QT
PreReq: lib%name-devel = %version-%release
Provides: lib%name-designer = %version
Obsoletes: lib%name-designer

%description designer
The %name-designer package contains an User Interface designer
tool for the Qt%major toolkit.

##############################################
%package doc
Summary: Document for developing apps which will use Qt${major}
Group: Development/KDE and QT
#Obsoletes: %name-doc
#Provides: %name-doc = %version

%description doc
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

========================================================
This package contains documentation and sources for example programs.
See %url for more information about Qt.

%prep
%setup -q -n qt-%version
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1
%patch7 -p1

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

#%patch20 -p1
%patch21 -p1
%patch22 -p1

%patch30 -p1
%patch31 -p1

#subst "s/-O2/-O3 -mcpu=pentiumpro -march=i586/g" configs/linux*
subst "s/-O2/%optflags/g" configs/linux*
subst "s/gcc$/gcc-2.96/g" configs/linux*
subst "s/g++$/g++-2.96/g" configs/linux*

%build
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export KDEDIR=%kdedir

CNFGR="-release -sm -no-nas-sound -no-g++-exceptions \
		-system-zlib -gif -system-libpng -system-libmng -system-jpeg \
		-no-xft"

#==============================#
# Build    STATIC    libraries #
#==============================#

echo "yes" |
./configure -static -thread $CNFGR

# At this step only libraries should be compiled, not designer or examples.
# The following command must be kept in sync with dependencies for "all"
# in the top-level Makefile.
%make_build SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" \
    symlinks  src-moc src-mt sub-src ###sub-tools sub-tutorial sub-examples

# Build libqutil.a
%make_build SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" \
    -C tools/designer/util

%make_build SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" \
    -C extensions/xt/src

pushd ./lib
    tar cvfz ../%name-static.tar.gz *.a
popd

# Clean out non-PIC object files to avoid getting them into shared libraries.
make clean
make clean -C tools/designer/util
make clean -C extensions/xt/src

#==============================#
# Build    SHARED    libraries #
#==============================#

echo "yes" |
./configure -shared -thread $CNFGR

# At this step libraries and tools (designer) should be compiled.
# The following command must be kept in sync with dependencies for "all"
# in the top-level Makefile.
%make_build SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" \
    symlinks  src-moc src-mt sub-src sub-tools ###sub-tutorial sub-examples

%make_build SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" \
    -C extensions/xt/src
#%make_build -C extensions/nsplugin/src

for i in makeqpf mergetr msg2qm qconfig; do
   %make_build SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" -C tools/$i
done

%install
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export KDEDIR=%kdedir

# Create directories needed for installation
install -d %buildroot/%_bindir/
install -d %buildroot/%_docdir/%{rname}-%version/
install -d %buildroot/%_includedir/%name/
install -d %buildroot/%_libdir/
install -d %buildroot/%_mandir/man3/
install -d %buildroot/%_mandir/man1/
install -d %buildroot/%qtdir/bin/
install -d %buildroot/%qtdir/lib/
install -d %buildroot/%qtdir/include/

# Install binaries...
install -m755 bin/* %buildroot/%_bindir/
mv %buildroot/%_bindir/moc %buildroot/%_bindir/moc%major
for i in makeqpf mergetr msg2qm qconfig; do
   install -m 755 tools/$i/$i %buildroot/%_bindir/
done

# ...and link them to %%_libdir/%name/bin/
pushd %buildroot/%_libdir/%name/bin/
    for i in ../../../bin/* ; do
	ln -s $i .
    done
    mv moc%major moc
popd

# Install shared libraries...
install -m755 lib/libqt.so.%version %buildroot/%_libdir/
install -m755 lib/libqt-mt.so.%version %buildroot/%_libdir/
install -m755 lib/libqutil.so.1.0.0 %buildroot/%_libdir/
install -m755 lib/libqxt.so.0.3.0 %buildroot/%_libdir/

# ...and add links
pushd %buildroot/%_libdir/
    ln -s libqt.so.%version libqt.so.%major.%middle
    ln -s libqt.so.%version libqt.so.%major
    ln -s libqt.so.%version libqt.so
    ln -s libqutil.so.1.0.0 libqutil.so.1.0
    ln -s libqutil.so.1.0.0 libqutil.so.1
    ln -s libqutil.so.1.0.0 libqutil.so

    ln -s libqt-mt.so.%version libqt-mt.so.%major.%middle
    ln -s libqt-mt.so.%version libqt-mt.so.%major
    ln -s libqt-mt.so.%version libqt-mt.so
    ln -s libqxt.so.0.3.0 libqxt.so.0.3
    ln -s libqxt.so.0.3.0 libqxt.so.0
    ln -s libqxt.so.0.3.0 libqxt.so
popd

pushd  %buildroot/%_libdir/%name/lib/
    ln -s ../../libqt.so.%version libqt.so.%version
    ln -s ../../libqt.so.%version libqt.so.%major.%middle
    ln -s ../../libqt.so.%version libqt.so.%major
    ln -s ../../libqt.so.%version libqt.so
    ln -s ../../libqutil.so.1.0.0 libqutil.so.1.0.0
    ln -s ../../libqutil.so.1.0.0 libqutil.so.1.0
    ln -s ../../libqutil.so.1.0.0 libqutil.so.1
    ln -s ../../libqutil.so.1.0.0 libqutil.so

    ln -s ../../libqt-mt.so.%version libqt-mt.so.%version
    ln -s ../../libqt-mt.so.%version libqt-mt.so.%major.%middle
    ln -s ../../libqt-mt.so.%version libqt-mt.so.%major
    ln -s ../../libqt-mt.so.%version libqt-mt.so
    ln -s ../../libqxt.so.0.3.0 libqxt.so.0.3.0
    ln -s ../../libqxt.so.0.3.0 libqxt.so.0.3
    ln -s ../../libqxt.so.0.3.0 libqxt.so.0
    ln -s ../../libqxt.so.0.3.0 libqxt.so
popd

# Install static libraries...
pushd %buildroot/%_libdir/
    tar xvfz %_builddir/%buildsubdir/%name-static.tar.gz
popd

# ...and add links
pushd  %buildroot/%_libdir/%name/lib/
    ln -s ../../libqt.a libqt.a
    #ln -s ../../libqutil.a libqutil.a

    ln -s ../../libqt-mt.a libqt-mt.a
    ln -s ../../libqxt.a libqxt.a
popd

# Install include files...
#for i in include/* ; do
#   cp $i %buildroot/%_includedir/%name/
#done

pushd %_builddir/%buildsubdir/include
    find . -type l -exec cp -v {} %buildroot/%_includedir/%name/ \;
    find . -type f -exec cp -v {} %buildroot/%_includedir/%name/ \;
popd

# ...and add links
pushd %buildroot/%qtdir/include/
    for i in ../../../include/%name/* ; do
	ln -s $i .
    done
popd


# Some stuffs for designer
install -d %buildroot/%qtdir/tools/designer/templates
cp -ar tools/designer/templates/* %buildroot/%qtdir/tools/designer/templates/
mv %buildroot/%_bindir/designer %buildroot/%_bindir/designer.qt2
install -m 755 %SOURCE1 %buildroot/%_bindir/designer

# Install man pages
cp src/moc/moc.1 $RPM_BUILD_ROOT%_mandir/man1/moc.1.%{major}%{middle}

pushd doc/man/man3/
    for i in * ; do
	cp $i %buildroot/%_mandir/man3/
    done
popd

pushd %buildroot/%_mandir/
    for i in $(find . -name Q\*);do
	perl -pi -e 's|3qt|3qt%{major}%{middle}%{minor}|g' $i
    done
    for i in $(find . -name \*.3qt);do
	mv -f $i ${i}%{major}%{middle}%{minor}
    done
popd

# Install documentation
cp -ar examples/ %buildroot/%_docdir/qt-%version/
cp -ar tutorial/ %buildroot/%_docdir/qt-%version/
cp -ar doc/html/ %buildroot/%_docdir/qt-%version/

cp %_builddir/%buildsubdir/ANNOUNCE %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/FAQ %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/LICENSE.GPL %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/LICENSE.QPL %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/MANIFEST %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/PLATFORMS %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/PORTING %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/README %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/README.QT %buildroot/%_docdir/qt-%version/
cp %_builddir/%buildsubdir/changes-%{version}* %buildroot/%_docdir/qt-%version/

# Install designer documentation
install -d %buildroot/%_docdir/qt-%version/designer
cp -ar tools/designer/examples/ %buildroot/%_docdir/qt-%version/designer/
cp -ar tools/designer/tools/    %buildroot/%_docdir/qt-%version/designer/

# Clean documentation directory
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e 's|^SYSCONF_MOC.*|SYSCONF_MOC         = \$(QTDIR)/bin/moc|'
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e 's|../../include/|\$(QTDIR)/include/|'

(cd %buildroot/%_docdir/qt-%version/examples/
    find . -type f -perm 755 | xargs rm -f
    make clean
    find . -name "*.pro" -exec rm -f {} \; \
    cd buttongroups
    make clean
    cd ..
    cd semaphores
    make clean
    cd ..
)

(cd %buildroot/%_docdir/qt-%version/tutorial/
    find . -type f -perm 755 | xargs rm -f
    make clean
    find . -name "*.pro" -exec rm -f {} \; \
)

# Dadou - 2.3.1-2mdk - Make documentation usable in designer...
install -d %buildroot/%qtdir/doc/
pushd %buildroot/%qtdir/doc/
    ln -s ../../../share/doc/qt-%version/html/ html
    ln -s ../../../share/man/ man
popd

# Create menu entry for Qt Designer
install -d %buildroot/%_menudir/
cat <<EOF > %buildroot/%_menudir/%name-designer
?package(%name-designer): needs=X11 \
section="Applications/Development/Development environments" \
title="QT%major Designer" \
longtitle="A graphical designer/dialog builder for Qt%major" \
command="designer"
#icon="%_libdir/%name/tools/designer/pics/small/qtlogo.png"
EOF

%post -n lib%name
/sbin/ldconfig

%postun -n lib%name
/sbin/ldconfig

%post -n lib%name-devel
/sbin/ldconfig

%postun -n lib%name-devel
/sbin/ldconfig

%post -n lib%name-Xt
/sbin/ldconfig

%postun -n lib%name-Xt
/sbin/ldconfig

%post designer
%update_menus

%postun designer
%clean_menus

############################################
%files -n lib%name
#
#
%_libdir/libqt-mt.so.%{major}*
%_libdir/libqt.so.%{major}*
%_libdir/libqutil.so.1*
#
#
#
%dir %qtdir/
%dir %qtdir/lib/
%qtdir/lib/libqt-mt.so.%{major}*
%qtdir/lib/libqt.so.%{major}*
%qtdir/lib/libqutil.so.1*
#

############################################
%files -n lib%name-devel
#
#
%_bindir/findtr*
%_bindir/makeqpf*
%_bindir/mergetr*
%_bindir/moc*
%_bindir/msg2qm*
%_bindir/qconfig*
%_bindir/qt20fix*
%_bindir/qtrename140*
%_bindir/uic*
#
#
#
%dir %_includedir/%name/
%_includedir/%name/*
#
#
# Removed to drop wrong build QT3 apps
#%_libdir/*.so
#
#
#
%dir %qtdir/
%dir %qtdir/bin/
%qtdir/bin/findtr
%qtdir/bin/qt20fix
%qtdir/bin/qtrename140
%qtdir/bin/uic
%qtdir/bin/moc
%qtdir/bin/makeqpf
%qtdir/bin/mergetr
%qtdir/bin/msg2qm
%qtdir/bin/qconfig
%qtdir/lib/*.so
#
#
%dir %qtdir/include/
%qtdir/include/*

############################################
%files -n lib%name-devel-static
%_libdir/*.a
%dir %qtdir/
%dir %qtdir/lib/
%qtdir/lib/*.a

############################################
%files -n lib%name-Xt
#
%_libdir/libqxt.so.*
%qtdir/lib/libqxt.so.*
#
%_libdir/libqxt.so
%qtdir/lib/libqxt.so
#
%_libdir/libqxt.a
%qtdir/lib/libqxt.a

############################################
%files designer
%_bindir/designer*
#
%dir %qtdir/bin/
%qtdir/bin/designer
#
%_menudir/*
#
%dir %qtdir/tools/
%dir %qtdir/tools/designer/
%qtdir/tools/designer/templates
#
############################################
%files doc
#
%_mandir/man1/moc.1.%{major}%{middle}*
#
%doc %_mandir/man3/*
%doc %_docdir/%rname-%version/changes*
#
%dir %_docdir/%rname-%version/
%dir %_docdir/%rname-%version/designer/
%doc %_docdir/%rname-%version/designer/*
%dir %_docdir/%rname-%version/examples/
%doc %_docdir/%rname-%version/examples/*
%dir %_docdir/%rname-%version/html/
%doc %_docdir/%rname-%version/html/*
%dir %_docdir/%rname-%version/tutorial/
%doc %_docdir/%rname-%version/tutorial/*
#
%doc %_docdir/%rname-%version/ANNOUNCE
%doc %_docdir/%rname-%version/FAQ
%doc %_docdir/%rname-%version/LICENSE.GPL
%doc %_docdir/%rname-%version/LICENSE.QPL
%doc %_docdir/%rname-%version/MANIFEST
%doc %_docdir/%rname-%version/PLATFORMS
%doc %_docdir/%rname-%version/PORTING
%doc %_docdir/%rname-%version/README
%doc %_docdir/%rname-%version/README.QT
#
%dir %qtdir/doc/
%doc %qtdir/doc/html
%doc %qtdir/doc/man
#
############################################
%changelog
* Tue Oct 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.3.1-alt12
- build without xft

* Mon May 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.3.1-alt11
- removed /usr/lib/*.so from -devel
- build without kde

* Thu Mar 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.3.1-alt10
- build designer with KDE

* Thu Feb 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.3.1-alt9
- add Patches 7(find_charset), 22(x_int)

* Thu Jan 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1:2.3.1-alt8
- disable Patch5 (fix-popup)

* Wed Dec 19 2001 Sergey V Turchin <zerg@altlinux.ru> 1:2.3.1-alt1
- back to 2.3.1

* Tue Nov 20 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.2-alt3
- add Patch2: fix-popup-menu.patch

* Wed Nov 14 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.2-alt2
- fix manpages names

* Wed Nov 14 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.2-alt1
- new version

* Thu Oct 11 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.1-alt7
- build with new libpng
- add %%_libdir/libqt.so to lib%%name-devel

* Sat Sep 15 2001 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt6
- don't compile designer with the static library
- don't compile examples and tutorial - it just wastes time
- run "make clean" after static libraries to get rid of non-PIC objects
- build libqxt with RPM_OPT_FLAGS
- do not install designer/pics - they are not needed at runtime
- install designer templates, examples and tools

* Tue Aug 21 2001 AEN <aen@logic.ru> 2.3.1-alt5
- ttf2ps fixed

* Thu Aug 16 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.1-alt4
- move all libqxt to lib%name-Xt package
- move documentation to %name-doc package
- add %name-xim-20010617.diff %name-qclipboard-20010617.diff
  and %name-qstring-toDouble-i18n-20010617.diff patches

* Wed Aug 15 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.1-alt3
- clean spec & disable enc.patch
- build packages with static libs

* Wed Jul 18 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-8mdk
- Re-upload with non broken BuildRequires

* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2.3.1-7mdk
- BuildRequires:      kdelibs-devel
- Removed BuildRequires:      Mesa-common XFree86-devel XFree86-libs
  db1 db3 gawk glibc-devel libstdc++-devel zlib-devel zlib1

* Tue Jul 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-6mdk
- Fix a typo when we create /usr/lib/qt2/lib/libqt-mt.so.%%version link

* Fri Jul 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-5mdk
- Fix build on alpha (Jeff Garzik)

* Thu Jul 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-4mdk
- Fix name for static libraries
- Add few BuildRequires and Obsoletes
- Add support for ia64

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-3mdk
- Rebuild with KDE (2.2.beta1) support
- Fix few Provides: and PreReq:
- Complete BuildRequires: for Linux-Mandrake 7.2

* Sat Jun 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-2mdk
- Rewrite %%build section (so, fix designer and some problems with rpath)
- Rewrite few sections of %%install (i.e. don't build in %%install)
- Complete %%install section according to %%build section
- Disable thread support for Linux-Mandrake 7.2
- Use system zlib and libpng instead sources provided in Qt package (8.0 and 8.1)
- Allow documentation to be used in designer (you need to
  "export QTDIR=/usr/lib/qt2/" if it's not already done)
- Add some missing BuildRequires
- Fix Makefiles in examples and tutorials

* Sun Jun 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1
- Add tests to automatically build right packages for right distribution
- Add %%files sections for all supported LMDK distributions
- Rewrite some sections of this spec to allow clean updates
- Remove qt-2.3.0-printing.patch.bz2
- Don't apply qt-2.3.0-qpsprinter-gbkprint.patch.bz2 at present time
- Disable kde support at present time
- Clean spec: bzip2 and rename qpsprinter-gbkprint.patch according to LMDK
  policy and add missing comments to make spec understandable by everybody
  (pacakgers, please to don't be lazzy and think you are not the only one who
  modify spec files)
- Fix few incorrect symlinks
- Rename static-libraries package to libqt2-static-devel (8.1)

* Thu May 31 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.0-6mdk
- Add a patch for simplified chinese printing.

* Fri Apr 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-5mdk
- Rebuild against latest GCC

* Wed Apr 18 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-4mdk
- Rebuild with kde support

* Sun Apr 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-3mdk
- Rebuild with latest GCC

* Sun Mar 18 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.0-2mdk
- patched to handle X fonts well

* Thu Mar 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-3mdk
- Rebuild to try to remove dependancies on libmng0 (thanks to Guillaume)

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-2mdk
- Rebuild with libmng-1.0.0

* Thu Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-9mdk
- Use sources from TrollTech
- Remove patch #1
- Add two patches from David FAURE

* Wed Jan 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-8mdk
- Enable KDE support
- Use optimizations

* Tue Dec 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.2.3-7mdk
- AA support (build with -xft) -> with freetype2 + XFree-4.0.2 (see cooker)
- cleanups

* Fri Dec 22 2000 Daouda Lo <daouda@ke.mandrakesoft.com> 2.2.3-6mdk
- fix symlinks
- cleanups

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.3-5mdk
- add a libqt.so as quick hack for myself to build Licq.
- need fix: fix bad symlinks in /usr/lib.

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-4mdk
- links to include files in /usr/lib/qt2/include

* Mon Dec 18 2000  Daouda <daouda@mandrakesoft.com> 2.2.3-2mdk
- provides libs in %_libdir , some packages need this to build

* Mon Dec 18 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-2mdk
- big changes : package splitted in 4 entities
- fix gcc internal error (drawback-> -O2 opt :(
- merge with big dadou cleanups
- lib policy

* Tue Dec 11 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-1mdk
- Enable libmng support
- Enable threads
- Rewrite spec to make it LMDK compliant
- Remove doc packages (most of doc is in devel package now)
- Remove rpath
- Libdification
- Add longtitle to Qt Designer menu entry
- Fix groups
- Make rpmlint happy (at least, nearly)

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-2mdk
- Update to 2.2.2 package on cooker.

* Tue Nov 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-1mdk
- Update to 2.2.2 package

* Wed Nov  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-5mdk
- Add gcc2.96 patches from redhat.

* Thu Nov 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-4mdk
- Added msg2qm utility back per request from Cookers
- Recompile for gcc 2.96

* Tue Oct 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-3mdk
- Attempting to fix patch so that it builds on it's own (I can not use RCS
  patches that are sent to me).
- Rebuild with no exceptions

* Mon Oct 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-2mdk
- Added patch 0 from David Faure

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-1mdk
- Update to 2.2.1 package

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-4mdk
- Some KDE related patches

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-3mdk
- Some KDE related patches

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-2mdk
- Changed liscense from QPL to GPL

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-1mdk
- Upgraded to final realease version

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.7mdk
- Some KDE related patches

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.6mdk
- Some KDE related patches

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.5mdk
- Some KDE related patches

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.4mdk
- Some KDE related patches

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.3mdk
- Fixed designer templates and support files in devel package.
- Added menu for designer

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.2mdk
- Fixed location of docs
- Fixed designer location and location of libs required by designer.

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.1mdk
- Updated to qt2 2.2 beta 1 as required by KDE
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-10mdk
- Some KDE related patches

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-9mdk
- Some KDE related patches

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-8mdk
- This is 2.2beta0
- Updated code patches
- BM

* Tue Jul 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-7mdk
- Updated code patches

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-6mdk
- Updated again some more patches by the kde2 team

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-5mdk
- Updated again some patches for kde2

* Sat Jul 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-4mdk
- Updated some patches for KDE

* Tue Jun 21 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.1.1-3mdk
- be pedantic and add some symlinks to /usr/bin
- fixed long standing unfixed typo
- package is not relocatable (???)
- NOTE: package maintainer remains: molnarc@mandrakesoft.com

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-2mdk
- Updated spec file to save room. New spec file sent by cooker user
- taki@cloud.matav.sulinet.hu

* Fri Jun 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-1mdk
- updated to qt2.1.1

* Mon May 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-6mdk
- recompiled with jpeg support needed by kde2

* Sat May  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.0-5mdk
- fixed conflicting files in qt2 and qt2-devel

* Mon Apr 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-4mdk
- changed back to QTDIR being /usr/lib/qt2

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-3mdk
- bowed to a bunch of email complaints and moved the development dir
  from /usr/lib/qt2/... to /usr/include/qt2/.... QTDIR=/usr/include/qt2

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-2mdk
- Fixed a missing libqt2.so link.

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-1mdk
- Update to release version 2.1.0

* Fri Mar 24 2000 David Faure <david@mandrakesoft.com> 2.1.0-0.3.1mdk
- Upgraded to 2.1 beta 3
- Removed libqimgio2, now part of qt
- Changed installation directories to respect a QTDIR (/usr/lib/qt-2.1.0)
- Allows to keep Qt 2.0 and Qt 1.x around.
- Removed BuildArchitectures hack.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.1-10mdk
- BuildArchitectures only on non-x86.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.1-9mdk
- removed BuildArchitecture

* Sat Oct 23 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Add "alpha" as build architecture (pixel's rebuild)

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add libqgl2.a and libqimgio2.a to make KDE 2.0 happy

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- replace qstrlist.h with a version that works

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- rename /usr/lib/libqt.a to /usr/lib/libqt2.a to avoid conflict with
  qt 1.44
- Add libqt2.so link to libqt.so.2 so we can do -lqt2

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
